Amazon Neptune 维护版本,版本 1.1.1.0.R2 (2022-05-16) - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 维护版本,版本 1.1.1.0.R2 (2022-05-16)

截至 2022-05-16 年,引擎版本 1.1.1.0.R2 正在普遍部署。请注意,新版本在每个区域的发布需要几天的时间。

此版本支持的查询语言版本

在将数据库集群升级到版本 1.1.0.R2 之前,请确保您的项目与以下查询语言版本兼容:

  • Grelin 版本: 3.5.2

  • opency Pher 版本: Neptune-9.0.20190305-1.0

  • SPARQL 版本: 1.1

升级到引擎版本 1.1.0.R2

如果您正在运行引擎版本,您的集群将在下一个维护时段内自动升级到此维护补丁版本。1.1.1.0.

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

升级到此版本

现在正式推出 Amazon Neptune 1.1.0.R2。

如果数据库集群运行的引擎版本有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的集群:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier (your-neptune-cluster) \ --engine neptune \ --engine-version 1.1.1.0 \ --allow-major-version-upgrade \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier (your-neptune-cluster) ^ --engine neptune ^ --engine-version 1.1.1.0 ^ --allow-major-version-upgrade ^ --apply-immediately

相反--apply-immediately,您可以指定--no-apply-immediately. 要执行主要版本升级, allow-major-version-upgrade 参数是必需的。此外,请确保包含引擎版本,否则您的引擎可能会升级到其他版本。

如果您的集群使用自定义集群参数组,请务必包含此参数来指定它:

--db-cluster-parameter-group-name (name of the custom DB cluster parameter group)

同样,如果集群中的任何实例使用自定义数据库参数组,请确保包含此参数来指定它:

--db-instance-parameter-group-name (name of the custom instance parameter group)

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑虑,Amazon可 Support 过社区论坛和通过AmazonPremium Support.